------------------------------------
-- Recovery Tanker Example Script --
------------------------------------

-- Display mission time
--SCHEDULER:New(nil, UTILS.DisplayMissionTime, {5}, 30, 30)

--Initiate Airboss
local airbossRoosevelt=AIRBOSS:New("Roosevelt")
airbossRoosevelt:AddRecoveryWindow("16:40","17:10",1,nil,true,27,false)
airbossRoosevelt:AddRecoveryWindow("18:15","19:45",1,nil,true,27,false)
airbossRoosevelt:SetTACAN(71,"X","THR")
airbossRoosevelt:SetICLS(11,"THR")
airbossRoosevelt:SetDefaultPlayerSkill("TOPGUN Graduate")
airbossRoosevelt:SetMarshalRadio(127.5,"FM")
airbossRoosevelt:SetLSORadio(127.5,"FM")
airbossRoosevelt:SetAutoSave()
airbossRoosevelt:SetMaxFlightsPerStack(4)
airbossRoosevelt:SetWelcomePlayers(false)
airbossRoosevelt:Start()

-- S-3B at USS Stennis spawning on deck.
local tankerRoosevelt=RECOVERYTANKER:New("Roosevelt", "Texaco Group")

-- Custom settings:
tankerRoosevelt:SetRadio(351)
tankerRoosevelt:SetTACAN(56, "SHL")
tankerRoosevelt:SetCallsign(CALLSIGN.Tanker.Shell)
tankerRoosevelt:SetAltitude(7000)
tankerRoosevelt:SetTakeoffCold()
tankerRoosevelt:SetModex(704)  -- "Triple nuts"

-- Start recovery tanker.
-- NOTE: If you spawn on deck, it seems prudent to delay the spawn a bit after the mission starts.
tankerRoosevelt:__Start(3600)

-- Rescue Helo @ USS Stennis spawned on deck hot.
heloRoosevelt=RESCUEHELO:New("Roosevelt", "Rescue Helo Group")
heloRoosevelt:SetTakeoffCold()
heloRoosevelt:SetModex(21)
heloRoosevelt:__Start(5)

